<?php
/*
Plugin Name: Topic Icon
Version: 0.1
 
---------------         b2evolution plugin          -----------------------
Plugin URI: http://brotherson.com/index.php/2004/12/11/topic_icon_for_b2evolution
Author:     Matt Brotherson
Email:      mattbta@gmail.com
 
----------------        original wordpress plugin   -----------------------
Plugin URI: http://www.trommetter.com/cgi-bin/view.cgi/Main/WPTopicIcon
Author: Jason A. Trommetter
Email: jason@trommetter.org
---------------------------------------------------------------------------
 
INSTALL:    Copy to your plugins/renderers folder.
Edit the variables in function topic_icon()
 
*/
 
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );
/**
* Includes:
*/
//require_once dirname(__FILE__).'/../renderer.class.php';
 
/**
* @package plugins
*/
class thumbicon_plugin extends Plugin
{
	var $code = 'b2evThumbIcon';
	var $name = 'Thumbicon';
	var $priority = 75;
	var $group = 'rendering';
	var $apply_rendering = 'opt-out';
	var $version = '0.2';

	/**
	 * Init
	 *
	 * This gets called after a plugin has been registered/instantiated.
	 */
	function PluginInit( & $params )
	{
		$this->short_desc = $this->T_('Inserts a topic icon for posts');
		$this->long_desc = $this->T_('Based on your post\'s category, this plugin will insert an icon.');
	}


	/**
	 * Define settings that the plugin uses/provides.
	 */
	function GetDefaultSettings()
	{
		return array(
			);
	}


	/**
	 * Define user settings that the plugin uses/provides.
	 */
	function GetDefaultUserSettings()
	{
		return array(
			);
	}

	// Add the methods to hook into here...
	// See http://doc.b2evolution.net/stable/plugins/Plugin.html
	function RenderItemAsHtml( & $params )
	{
		$content = & $params['data'];
		$content = $this->topic_icon( $content );
		return true;
	}
 

	function topic_icon ($text)
	{
		global $Item, $DB;
		 
		$topic_uri = "http://stable.b2evo.local/5.0.8/blogs/media/shared/global/topicicons/";	//URI to your topic icon images
		$topic_dir = "/var/www/b2evolution/stable/5.0.8/blogs/media/shared/global/topicicons/";		//filepath to your topic icon images
		$align = "left";												//image align tag
		$prefix = "topic-";												//image prefix
		$filetype = ".png";												//image filetype
		$topiconclass = "topicon_";										//CSS class for topic icon
	 
		//initialize variable
		$content = $imagename = '';

		//get main category for post
		$categories = $Item->main_cat_ID;

		//get the category name
		$sql = "SELECT cat_name from evo_categories WHERE cat_ID = $categories";
		$results = $DB->get_results($sql);

		if ($results) 
		{
			foreach ($results as $result) 
			{
				$category_name = $result->cat_name;
				$linktitle = $category_name;
				$category_name = str_replace(" ", "_", $category_name);
				$filename = $topic_dir . $prefix . strtolower($category_name) . $filetype;

				if (file_exists($filename))
				{
					$imagename = $topic_uri . $prefix . strtolower($category_name) . $filetype;
				}
			}
		}
	
		//create image tag
		if ($imagename) {
			list($width, $height, $type, $attr) = getimagesize($filename);
			$content .= "<img src='" . $imagename . "'";
			$content .= " align='" . $align . "'";
			$content .= " width='" . $width . "'";
			$content .= " height='" . $height . "'";
			$content .= " class='" . $topiconclass . "'";
			$content .= " alt='" .$linktitle . "'";
			$content .= " title='" .$linktitle . "'";
			$content .= "' />\n";
		} 
		else 
		{
			$content = "<!--no icon-->";
		}

		//append image tag to the beginning of post content
		$text = $content . $text;

		return $text;
	}
}
?>